h56728
s 00002/00004/00060
d D 1.4 83/03/08 18:37:57 mjb 5 4
c vi
e
s 00003/00001/00061
d D 1.3 83/01/31 20:28:16 mjb 4 3
c changes for error reporting
e
s 00018/00015/00044
d D 1.2 83/01/26 17:40:42 mjb 3 1
c fix for new menus
e
s 00000/00000/00059
d R 1.2 83/01/20 17:42:25 mjb 2 1
c no changes were made looked at parameter mismatches
e
s 00059/00000/00000
d D 1.1 83/01/20 11:09:10 tes 1 0
c date and time created 83/01/20 11:09:10 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine cgaatt 
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Put current graph chart attributes for advanced graph  #
#	        edit menu into the data buffer for data display        #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qputa - put alpha data to memory                          #
#            qputd - put decimal data to memory                        #
#            qputi - put integer data to memory                        #
#                                                                      #
########################################################################
D 3
integer i, j, item
E 3
I 3
D 4
integer i, item
E 4
I 4
D 5
integer i, item, gimnmx
E 5
I 5
integer i, item
E 5
E 4
E 3

include(`gphcom')

   i = 1
   do item = 1, 15 {
      call qputi (item, bgtclr(i)) # current graph chart title colors etc.   
      i = i + 1
      }
    
D 3
   call qputa (16, bgstfg)       # current graph stacking on flag
   call qputa (17, bgbrfg)       # current graph border flag
E 3
I 3
   call qputa (16, bgbrfg)       # current graph border flag
   call qputa (17, bgfrfg)       # current graph axes frame flag
E 3

D 3
   call qputi (18, bgbrcl)       # current graph border color
   call qputi (19, bgbrwd)       # current graph border width
   call qputi (20, bgclus)        # current bar cluster factor
E 3
I 3
   i = 1
   do item = 18, 21 {
      call qputi (item, bgbrcl(i))       # current graph border color
      i = i + 1
      }
E 3

D 3
   call qputa (21, bgbard)       # current bar direction
E 3
I 3
   call qputa (22, bgblfg)       # current graph baseline flag
   call qputd (23, bgblin)       # current graph baseline value
E 3

I 4
D 5
   item = bgclus
   bgclus = gimnmx (item, 1, 5)
E 5
E 4
D 3
   call qputd (22, bgbarw)        # current bar width
E 3
I 3
   call qputi (24, bgclus)        # current bar cluster factor
D 5
   call qputa (25, bgbard)       # current bar direction
E 5
I 5
   call qputa (25, bgbard)        # current bar direction
E 5
   call qputd (26, bgbarw)        # current bar width
E 3

D 3
   j = 1
   item = 23
   do i = 1, 5 {             
      call qputa (item, bgptfl(j)) # current points labeled flag
E 3
I 3
   call qputa (27, bgstfg)       # current graph stacking on flag

   item = 28
   do i = 1, 10, 2 {             
      call qputa (item, bgptfl(i)) # current points labeled flag
E 3
      item = item + 1
D 3
      call qputa (item, bgrgfl(j)) # current regression flag
      item = item + 1
      j = j + 2
E 3
      }

return
end
E 1
